<?php

$view

->set('name', 'pay')

->import('inc/head')

->fetch('.h1', 'buy/buy.info#buy')

->fetch('.richtext', 'buy/buy.info#buy_desc')

//->fetch('#notice', 'buy/buy.info#buy_notice')
//->fetch('#notices', 'buy/buy.info#buy_notices')
->fetch('#buyyes', 'buy/buy.info#buy_yes')
->fetch('#pay-layer@class', 'buy/buy.info#buy_class')
->fetch('#viewcode@href', 'buy/buy.info#buy_code')


# 循环
/*
->loop
(
    '.code',
    'buy/buy.buy',
    array
    (
        'p|0' => '$v.name',
        'p|1' => '$v.price',

        'self' => array
        (
            'href' => 'javascript:;',
            'onclick' => 'pay(\'<{$v.pay_url}>\')',
        ),
    )
)
*/

# 循环
->loop
(
    '.item',
    'buy/buy.buys',
    array
    (
        'p|0' => '$v.name',
        'p|1' => '$v.price',

        'self' => array
        (
            'href' => 'javascript:;',
            'onclick' => 'pay(\'<{$v.pay_url}>\')',
        ),
    )
)

->fetch(array('script@src', 0),     Dever::assets('global.js'))


->append('body',    '<script src="'.Dever::assets('lib/jquery/jquery.min.js', 'script').'"></script>')
->append('body',    '<script src="'.Dever::assets('dever/core.js', 'script').'"></script>')
->append('body',    '<script src="'.Dever::assets('config.js').'"></script>')
->append('body',    '<script src="http://res.wx.qq.com/open/js/jweixin-1.4.0.js"></script>')

->display();